List Wallet
curl --request GET \
--url https://api.moonkey.fun/v1/wallets/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonkey.fun/v1/wallets/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonkey.fun/v1/wallets/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallets": [
{
"id": "wallet_26l6hdwAXQr0y573AhQTXNDkyqK",
"app_id": "app_25ldv51seNohTaYRsxdfoxMlAa2",
"user_id": "user_26l6ha8syVN8oqmaHaFShTxZ5RC",
"public_address": "0xb6acedc0cdcab7a4bb6c236976bb7df63bbcd567",
"wallet_type": "ethereum",
"verified": true,
"is_default": true,
"is_read_only": false,
"is_imported": false,
"updated_at": 1647985945,
"created_at": 1647985945
}
]
}Managed Wallets
List Wallet
List wallets within the app.
Returns
A successful response returns list of Wallet objects.
GET
/
v1
/
wallets
/
list
List Wallet
Authorizations
Auth Platform API includes all the Auth related features. All Users, Phone Numbers, Emails, and OTPs are associated with an App as the container.
Endpoints only accept App's Secret API keys other than certain endpoints that are used client side or via SDK that accept the public_token.
Authentication using App Api Key
Header:
Authorization: Bearer {api_key}
Authenticated Request
curl \
-X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
-H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
Query Parameters
Optional user ID to query the wallets by.
Response
200 - application/json
OK
Show child attributes
Show child attributes
⌘I